Bug 1255118 (CVE-2015-5219) - CVE-2015-5219 ntp: infinite loop in sntp processing crafted packet
Summary: CVE-2015-5219 ntp: infinite loop in sntp processing crafted packet
Status: CLOSED ERRATA
Alias: CVE-2015-5219
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150825,reported=2...
Keywords: Reopened, Security
Depends On: 1256680 1296209 1317795
Blocks: 1254549 1323912
TreeView+ depends on / blocked
 
Reported: 2015-08-19 17:02 UTC by Florian Weimer
Modified: 2019-06-08 20:42 UTC (History)
3 users (show)

(edit)
It was discovered that the sntp utility could become unresponsive due to being caught in an infinite loop when processing a crafted NTP packet.
Clone Of:
(edit)
Last Closed: 2016-11-06 04:13:16 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0780 normal SHIPPED_LIVE Moderate: ntp security and bug fix update 2016-05-10 22:35:43 UTC
Red Hat Product Errata RHSA-2016:2583 normal SHIPPED_LIVE Moderate: ntp security and bug fix update 2016-11-03 12:08:36 UTC

Description Florian Weimer 2015-08-19 17:02:09 UTC
It was discovered that sntp program would hang in an infinite loop when a crafted NTP packet was received, related to the conversion of the precision value in the packet to double.

Comment 2 Florian Weimer 2015-08-25 09:09:35 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1256680]

Comment 4 Fedora Update System 2015-08-25 10:59:59 UTC
ntp-4.2.6p5-33.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14211

Comment 5 Fedora Update System 2015-08-25 11:03:39 UTC
ntp-4.2.6p5-33.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14212

Comment 6 Fedora Update System 2015-08-25 11:05:38 UTC
ntp-4.2.6p5-33.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14213

Comment 7 Fedora Update System 2015-08-26 04:25:37 UTC
ntp-4.2.6p5-33.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ntp'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14213

Comment 8 Fedora Update System 2015-08-26 17:25:00 UTC
ntp-4.2.6p5-33.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ntp'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14211

Comment 9 Fedora Update System 2015-08-26 17:27:34 UTC
ntp-4.2.6p5-33.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ntp'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14212

Comment 10 Fedora Update System 2015-09-20 15:22:59 UTC
ntp-4.2.6p5-33.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-10-12 02:18:29 UTC
ntp-4.2.6p5-33.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-11-04 22:50:18 UTC
ntp-4.2.6p5-34.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Martin Prpič 2016-05-04 09:41:17 UTC
Acknowledgements:

This issue was discovered by Miroslav Lichvar of Red Hat.

Comment 17 errata-xmlrpc 2016-05-10 20:17:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0780 https://rhn.redhat.com/errata/RHSA-2016-0780.html

Comment 18 errata-xmlrpc 2016-11-03 19:32:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2583 https://rhn.redhat.com/errata/RHSA-2016-2583.html


Note You need to log in before you can comment on or make changes to this bug.